Bug 248343 - security/botan2: update to 2.15.0
Summary: security/botan2: update to 2.15.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://botan.randombit.net/news.html...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-29 09:15 UTC by Ralf van der Enden
Modified: 2020-08-19 05:55 UTC (History)
1 user (show)

See Also:


Attachments
Update to Botan 2.15.0 (1.45 KB, patch)
2020-07-29 09:15 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
bump PORTREVISION of dependent ports (3.40 KB, patch)
2020-07-29 09:16 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2020-07-29 09:15:34 UTC
Created attachment 216853 [details]
Update to Botan 2.15.0

QA:
portlint: OK (looks fine.)
testport: OK (12.1, amd64)
Comment 1 Ralf van der Enden 2020-07-29 09:16:57 UTC
Created attachment 216854 [details]
bump PORTREVISION of dependent ports


Also petted portlint a little for some of the dependent ports.
Comment 2 commit-hook freebsd_committer 2020-08-19 05:53:33 UTC
A commit references this bug:

Author: fernape
Date: Wed Aug 19 05:53:31 UTC 2020
New revision: 545273
URL: https://svnweb.freebsd.org/changeset/ports/545273

Log:
  security/botan2: update to 2.15.0

  ChangeLog: https://botan.randombit.net/news.html#version-2-15-0-2020-07-07

  Bumping dependent ports due to library abi version bump.

  PR:	248343
  Submitted by:	tremere@cainites.net (maintainer)

Changes:
  head/devel/qca/Makefile
  head/devel/qca-legacy/Makefile
  head/editors/encryptpad/Makefile
  head/security/botan2/Makefile
  head/security/botan2/distinfo
  head/security/botan2/pkg-plist
  head/security/softhsm2/Makefile
  head/sysutils/daggy/Makefile
Comment 3 Fernando Apesteguía freebsd_committer 2020-08-19 05:55:29 UTC
Committed,

Thanks!

Please note that I just bumped PORTREVISION but I did not apply further changes to dependent ports for the sake of traceability. Those changes belong to a different commit.